# $Revision: 1.12 $, $Date: 2012/07/02 18:58:57 $
%define		origname	kmplayer
%define		kdever		4.4.4

Summary:	A KDE MPlayer/Xine/ffmpeg/ffserver/VDR frontend
Summary(pl.UTF-8):	Frontend dla programów MPlayer/Xine/ffmpeg/ffserver/VDR pod KDE
Name:		kde4-kmplayer
Version:	0.11.3d
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://kmplayer.kde.org/pkgs/%{origname}-%{version}.tar.bz2
# Source0-md5:	a652d00370e0940e6bd9cf51b32770c4
Patch0:		%{name}-unistd.patch
URL:		http://kmplayer.kde.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xulrunner-devel
Requires:	mplayer
Obsoletes:	kde4-kmplayer-icons-oxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A powerful, fully integrated with KDE MPlayer/Xine/ffmpeg/ffserver/VDR
GUI.

%description -l pl.UTF-8
W pełni zintegrowany z KDE frontend dla programów
MPlayer/Xine/ffmpeg/ffserver/VDR.

%prep
%setup -q -n %{origname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
				.. \

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

# Remove empty locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sk/LC_MESSAGES/kmplayer.mo

%find_lang %{origname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{origname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/kmplayer
%attr(755,root,root) %{_bindir}/knpplayer
%attr(755,root,root) %{_bindir}/kphononplayer
%attr(755,root,root) %{_libdir}/libkdeinit4_kmplayer.so
%attr(755,root,root) %{_libdir}/libkmplayercommon.so
%attr(755,root,root) %{_libdir}/kde4/libkmplayerpart.so
%{_datadir}/apps/kmplayer
%{_datadir}/config/kmplayerrc
%{_datadir}/kde4/services/kmplayer_part.desktop
%{_desktopdir}/kde4/kmplayer.desktop
%{_iconsdir}/hicolor/*/apps/kmplayer.*
%{_kdedocdir}/en/kmplayer

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kmplayer.spec,v $
Revision 1.12  2012/07/02 18:58:57  blekot
- up to 0.11.3d

Revision 1.11  2012/07/02 18:38:33  blekot
- up to 0.11.3c
- package cleanup with merging with kmplayer.spec
- BR: dbus-glib-devel gtk+2-devel xulrunner-devel
- strigi-devel is not needed or I don't see any difference while building

Revision 1.10  2010/05/30 23:16:11  shadzik
- remove unsupported langs

Revision 1.9  2010/05/30 23:12:55  shadzik
- use %find_lang

Revision 1.8  2010/05/30 23:09:53  shadzik
- %files

Revision 1.7  2010/05/30 23:06:46  shadzik
- cleanup the mess

Revision 1.6  2010/05/30 23:04:20  shadzik
- kill icons-oxygen subpackage

Revision 1.5  2010/05/30 23:03:19  shadzik
- 0.11.2b

Revision 1.4  2009/10/19 18:21:21  glen
- CMAKE_BUILD_TYPE setup

Revision 1.3  2008/11/08 11:57:29  glen
- sholdn't there be find lang for kde docs

Revision 1.2  2008/11/08 11:56:21  glen
- we are pld-linux.org not pld.org.pl
- adapter and pldize
- some random qt_ver as it was missing

Revision 1.1  2008/11/08 09:47:39  chomar
- init with version 0.11.0-rc1
- Pre release for KDE4. Working backend players are MPlayer, Phonon and the
  Mozilla plugin loader. An addition feature is load on demand for the plugins.
